find_get_pages_contig
Prev | More Memory Management Functions | Next

## Name

find_get_pages_contig — gang contiguous pagecache lookup

## Synopsis

`unsigned find_get_pages_contig (` | struct address_space * | mapping,
| pgoff_t | index,
| unsigned int | nr_pages,
| struct page ** | pages`)`;

## Arguments

`mapping`

  The address_space to search

`index`

  The starting page index

`nr_pages`

  The maximum number of pages

`pages`

  Where the resulting pages are placed

## Description

`find_get_pages_contig` works exactly like `find_get_pages`, except that the returned number of pages are guaranteed to be contiguous.

`find_get_pages_contig` returns the number of pages which were found.

Prev | Up | Next
find_or_create_page | Home | find_get_pages_tag